vanguards(1)

NAME
vanguards - Additional protections for Tor onion services

SYNOPSIS
vanguards [-h] [--state STATE_FILE] [--generate_config WRITE_FILE] [--loglevel LOGLEVEL] [--logfile LOGFILE] [--config CONFIG_FILE] [--control_ip CONTROL_IP] [--control_port CONTROL_PORT] [--control_socket CONTROL_SOCKET] [--control_pass CONTROL_PASS] [--disable_bandguards] [--disable_rendguard] [--enable_cbtverify]

DESCRIPTION
Connect to a Tor process via its control port to manage additional protections for onion services.

-h, --help
    show help message and exit

--state STATE_FILE
    File to store vanguard state

--generate_config WRITE_FILE
    Write config to a file after applying command args

--loglevel LOGLEVEL
    Log verbosity (DEBUG, INFO, NOTICE, WARN, or ERROR)

--logfile LOGFILE
    Log to LOGFILE instead of stdout

--config CONFIG_FILE
    Location of config file with more advanced settings

--control_ip CONTROL_IP
    The IP address of the Tor Control Port to connect to (default: 127.0.0.1)

--control_port CONTROL_PORT
    The Tor Control Port to connect to (default: 9051)

--control_socket CONTROL_SOCKET
    The Tor Control Socket path to connect to

--control_pass CONTROL_PASS
    The Tor Control Port password (optional)

--retry_limit RETRY_LIMIT
    Reconnect attempt limit on failure (default: Infinite)

--one_shot_vanguards
    Set and write layer2 and layer3 guards to torrc and exit.

--disable_vanguards
    Disable setting any layer2 and layer3 guards.

--disable_bandguards
    Disable circuit side channel checks (may help performance)

--disable_rendguard
    Disable rendezvous misuse checks (may help performance)

--enable_cbtverify
    Enable Circuit Build Time monitoring

SEE ALSO
tor(1) https://github.com/mikeperry-tor/vanguards/blob/master/README.md